#!/bin/sh

if dirname "$0" 1>/dev/null 2>/dev/null; then
    SH_DIR="$(cd "$(dirname "$0")";pwd)"
    cd $SH_DIR
fi
. ./rfsd-inc.sh
init_env

#openssl req -outform DER -newkey rsa:2048 -nodes -keyout rsa_private.key -x509 -days 3650 -out rfsd.crt -subj "/C=CN/ST=CQ/L=CQ/O=ranfs/OU=dev/CN=ranfs.com/emailAddress=tech@ranfs.com"
#openssl rsa -in rsa_private.key -outform DER -out rfsd.key
#rm rsa_private.key
$sudoprefix ./rfsd -q -s new_key_x509_file=1

